#294 pdlua don't load

v0.40.2
closed
nobody
None
5
2008-05-22
2008-05-22
stffn
No

This is for: Pd version 0.40.3-extended-20080522

(There is no 0.40.2 group to choose from!)

My system is Mac OS X.4.11 intel.

--- error: ---
/path/to/pdlua/src/lua.pd_darwin: dlopen(/path/to/pdlua/src/lua.pd_darwin, 10): Symbol not found: _garray_getfloatwords
Referenced from: /path/to/pdlua/src/lua.pd_darwin
Expected in: flat namespace

lua: can't load library
--------------

It loads fine in Pd-0.41-4 with the same prefs where "Startup..." contains 'lua' and "Path..." contains '/path/to/pdlua/src'. The Pdlua binaries lives in '/path/to/pdlua/src'.

Discussion

  • Claude Heiland-Allen

    Logged In: YES
    user_id=769033
    Originator: NO

    This is a symptom of pdlua being compiled for pd-0.41 but used with pd-0.40. If you compile for pd-0.40 it will load in pd-0.41, however there may be 64bit/array-related bugs.

     
  • Hans-Christoph Steiner

    Logged In: YES
    user_id=27104
    Originator: NO

    also, pdlua isn't included in the Pd-extended 0.40.3 release since it is still changing pretty fast.

    I'm going to close this, since it is because of an addition to the API in 0.41

     
  • Hans-Christoph Steiner

    • labels: 845074 -->
    • assigned_to: eighthave --> nobody
    • status: open --> closed
     
  • stffn

    stffn - 2008-05-22

    Logged In: YES
    user_id=1658640
    Originator: YES

    I see. My bad.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks